Approve Email Template Draft¶
POST /rest/asset/v1/emailTemplate/{id}/approveDraft.json
Method: POST
Path: /rest/asset/v1/emailTemplate/{id}/approveDraft.json
Tag: Email Templates
Operation ID: approveDraftUsingPOST_1
Approves the current draft of the email template. Required Permissions: Approve Assets
Formats¶
- Request:
application/x-www-form-urlencoded - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
id |
integer (int32) | Yes | id |
Example request¶
Responses¶
200 — OK¶
Schema: model: ResponseOfEmailTemplateResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"createdAt": "2026-01-15T10:30:00Z",
"description": "string",
"folder": {
"id": 123,
"type": "Folder"
},
"id": 123,
"name": "Example name",
"status": "string",
"updatedAt": "2026-01-15T10:30:00Z",
"url": "https://example.com",
"version": 1,
"workspace": "string"
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.